JavaServiceIfaceWriter (Axis API)
Keywords: org.apache.axis.wsdl.toJava.JavaServiceIfaceWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaServiceIfaceWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaClassWriter
              org.apache.axis.wsdl.toJava.JavaServiceIfaceWriter

All Implemented Interfaces:
  Generator

public class JavaServiceIfaceWriter
extends JavaClassWriter

This is Wsdl2java's service writer. It writes the .java file.

Field Summary

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, LINE_LENGTH, type`

Constructor Summary
`protected` | `JavaServiceIfaceWriter(Emitter emitter, ServiceEntry sEntry, SymbolTable symbolTable)` Constructor.

Method Summary
`protected java.lang.String` | `getClassText()` Returns "interface ".
`protected java.lang.String` | `getExtendsText()` Returns "extends javax.xml.rpc.Service ".
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the service file.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getFileName, getImplementsText, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, generate, getJavadocDescriptionPart, getPrintWriter, isFileGenerated, verboseMessage, writeComment, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaServiceIfaceWriter

    protected JavaServiceIfaceWriter(Emitter emitter,
                                     ServiceEntry sEntry,
                                     SymbolTable symbolTable)

  Constructor.

Parameters:
  `emitter` -
  `sEntry` -
  `symbolTable` -

Method Detail

### getClassText

    protected java.lang.String getClassText()

  Returns "interface ".

  Overrides:
    `getClassText` in class `JavaClassWriter`
  Returns:

### getExtendsText

    protected java.lang.String getExtendsText()

  Returns "extends javax.xml.rpc.Service ".

  Overrides:
    `getExtendsText` in class `JavaClassWriter`
  Returns:

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the service file.

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.